<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="11" infoRejectCounter="0">
  <summary>
    <timer wall-clock="6.654s" wall="6.654" cpu="6.62887" calls="1"/>
    <!-- memory in MB-->
    <memory final="562.97" peak="562.97"/>
  </summary>
  <header id="">
    <environment started="2021-Mar-02 11:10:39" host="nb17" estimatedEnd="2021-Mar-02 11:10:45" remainingTime="0" timePerStep="0"/>
    <progOpts problem="simple_A" parameterFile="/home/alex/Documents/userdocu/docs/Applications/Singlefield/Magnetics/Coil/simple_A.xml" schemaPath="/home/alex/Devel/CFS_BIN/stable/share/xml" meshFile="" logConfFile="" detailed="no">
      <cfs version="21.01" name="Frohes Fensterln" build="Release" git_commit="db5b4b9a25e27ac00e77dfd985928555f7121074" git_branch="master" exe="/home/alex/Devel/CFS_BIN/stable/bin/../bin/LINUX_X86_64/cfsbin"/>
      <openmp CFS_NUM_THREADS="1" MKL_NUM_THREADS="1" OMP_NUM_THREADS="1"/>
    </progOpts>
    <domain>
      <grids>
        <timer wall-clock="0.231s" wall="0.231" cpu="0.231143" calls="1"/>
        <grid gridId="default" dimensions="3" elements="12909" nodes="2309"/>
      </grids>
      <coordinateSystems>
        <cylindrical id="cyl">
          <origin x="0" y="0" z="0"/>
          <rAxis x="1" y="0" z="0"/>
          <zAxis x="0" y="1" z="0"/>
        </cylindrical>
        <system name="cyl">
          <cylindrical id="cyl">
            <origin x="0" y="0" z="0"/>
            <rAxis x="1" y="0" z="0"/>
            <zAxis x="0" y="1" z="0"/>
          </cylindrical>
        </system>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="V_air" id="0" type="volume" regular="no" hom="yes" nodes="2267" elems="11167" isQuadratic="no"/>
        <region name="V_coil" id="1" type="volume" regular="no" hom="yes" nodes="99" elems="294" isQuadratic="no"/>
        <region name="S_Coil_in" id="2" type="surface" regular="no" hom="yes" nodes="14" elems="12" isQuadratic="no"/>
        <region name="S_Coil_out" id="3" type="surface" regular="no" hom="yes" nodes="14" elems="12" isQuadratic="no"/>
        <region name="S_x+" id="4" type="surface" regular="no" hom="yes" nodes="142" elems="240" isQuadratic="no"/>
        <region name="S_x-" id="5" type="surface" regular="no" hom="yes" nodes="149" elems="254" isQuadratic="no"/>
        <region name="S_y+" id="6" type="surface" regular="no" hom="yes" nodes="130" elems="218" isQuadratic="no"/>
        <region name="S_y-" id="7" type="surface" regular="no" hom="yes" nodes="130" elems="218" isQuadratic="no"/>
        <region name="S_z+" id="8" type="surface" regular="no" hom="yes" nodes="142" elems="240" isQuadratic="no"/>
        <region name="S_z-" id="9" type="surface" regular="no" hom="yes" nodes="149" elems="254" isQuadratic="no"/>
      </regions>
      <namedNodes/>
      <namedElements/>
      <globalMathParser A="1" dt="0" f="1" freq="1" i="1" n="5" step="1" t="0" t0="0"/>
    </domain>
    <update_results>
      <timer wall-clock="0s" wall="0" cpu="0.00041" calls="60"/>
    </update_results>
    <finish_step>
      <timer wall-clock="0.089s" wall="0.089" cpu="0.089664" calls="3"/>
    </finish_step>
  </header>
  <sequenceStep sequence="1">
    <static/>
    <PDE>
      <elecConduction>
        <header>
          <region name="V_coil" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElecCurrentIntegrator" type="BDBInt" complex="no" BOp="GradientOperator" region="V_coil">
                <row pde="elecConduction" functionId="0" result="elecPotential"/>
                <column pde="elecConduction" functionId="0" result="elecPotential"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="yes"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NormalCurrentDensityInt" region="S_Coil_in">
                <entities name="S_Coil_in" size="12" region="S_Coil_in"/>
                <row pde="elecConduction" result="elecPotential" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="copper">
          <regionList>
            <region name="V_coil"/>
          </regionList>
          <property name="Electric_Conductivity_Tensor">
            <tensor dim1="3" dim2="3">
              <real>
                 5.870000e+07  0.000000e+00  0.000000e+00
                 0.000000e+00  5.870000e+07  0.000000e+00
                 0.000000e+00  0.000000e+00  5.870000e+07
              </real>
            </tensor>
          </property>
          <property name="Electric_Conductivity_Scalar" value="(5.87e+07,0)"/>
        </material>
        <feSpaces>
          <elecPotential>
            <h1Hierarchical>
              <regionList>
                <V_coil order="2"/>
                <default/>
              </regionList>
              <virtualNodes numVirtualNodes="568">
                <INTERIOR numEntitiies="318" numVirtualNodes="0"/>
                <FACE numEntitiies="665" numVirtualNodes="0"/>
                <EDGE numEntitiies="469" numVirtualNodes="469"/>
                <VERTEX numEntitiies="99" numVirtualNodes="99"/>
              </virtualNodes>
            </h1Hierarchical>
          </elecPotential>
        </feSpaces>
        <summary>
          <writeResults>
            <timer wall-clock="0s" wall="0" cpu="2e-06" calls="1"/>
          </writeResults>
        </summary>
        <feFunctions>
          <elecPotential/>
          <homDirichletBC>
            <surfElemList name="S_Coil_out" dofs=""/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </elecConduction>
    </PDE>
    <OLAS>
      <elecConduction>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="529" totalNumFreeEqns="529" totalNumDirichlet="0">
            <function id="0" name="elecPotential" numEqns="529" lastFreeEqn="529" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="529" lastFreeIndex="529"/>
          </sbmBlocks>
        </setup>
        <solver>
          <pardiso hermitean="no" symStruct="no" symmetric="yes" posDef="no" pardiso_matrix="-2" solver="direct">
            <summary>
              <setup>
                <timer label="setup_pardiso" wall-clock="0.004s" wall="0.004" cpu="0.004035" calls="1"/>
              </setup>
              <solve>
                <timer label="solve_pardiso" wall-clock="0s" wall="0" cpu="0.000174" calls="1"/>
              </solve>
            </summary>
            <process>
              <call number="0">
                <symbfact cpu="0.002977" wall="0.002" peakMem="525" permanentMem="498"/>
                <numfact cpu="0.000892" wall="0" peakMem="316"/>
              </call>
            </process>
          </pardiso>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <setup>
                <timer wall-clock="0s" wall="0" cpu="2e-06" calls="1"/>
              </setup>
              <precond>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </elecConduction>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0.036s" wall="0.036" cpu="0.018383" calls="2"/>
        </assemble>
      </summary>
    </analysis>
    <header>
      <graph_setup>
        <timer wall-clock="0.006s" wall="0.006" cpu="0.006959" calls="1"/>
      </graph_setup>
    </header>
  </sequenceStep>
  <sequenceStep sequence="2">
    <harmonic>
      <header unit="Hz" sampling="frequency list given" start="0" end="1" numFreq="1"/>
    </harmonic>
    <PDE>
      <magneticEdge>
        <header>
          <region name="V_air" damping="none"/>
          <region name="V_coil" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="MassIntegrator" type="BBInt" complex="no" region="V_air">
                <row pde="magneticEdge" functionId="0" result="magPotential"/>
                <column pde="magneticEdge" functionId="0" result="magPotential"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="yes"/>
              </bilinearForm>
              <bilinearForm integrator="MassIntegrator" type="BBInt" complex="no" region="V_coil">
                <row pde="magneticEdge" functionId="0" result="magPotential"/>
                <column pde="magneticEdge" functionId="0" result="magPotential"/>
                <destination feMatrix="damping" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="yes"/>
              </bilinearForm>
              <bilinearForm integrator="CurlCurlIntegrator" type="BBInt" complex="no" BOp="CurlOperator" region="V_coil">
                <row pde="magneticEdge" functionId="0" result="magPotential"/>
                <column pde="magneticEdge" functionId="0" result="magPotential"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="yes"/>
              </bilinearForm>
              <bilinearForm integrator="CurlCurlIntegrator" type="BBInt" complex="no" BOp="CurlOperator" region="V_air">
                <row pde="magneticEdge" functionId="0" result="magPotential"/>
                <column pde="magneticEdge" functionId="0" result="magPotential"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="yes"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="CoilIntegrator" region="V_coil">
                <entities name="V_coil" size="294" region="V_coil"/>
                <row pde="magneticEdge" result="magPotential" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="air">
          <regionList>
            <region name="V_air"/>
          </regionList>
          <property name="Magnetic_Permeability_Tensor">
            <tensor dim1="3" dim2="3">
              <real>
                 1.256640e-06  0.000000e+00  0.000000e+00
                 0.000000e+00  1.256640e-06  0.000000e+00
                 0.000000e+00  0.000000e+00  1.256640e-06
              </real>
            </tensor>
          </property>
          <property name="Magnetic_Permeability_Scalar" value="(1.25664e-06,0)"/>
          <property name="Magnetic_Reluctivity_Tensor">
            <tensor dim1="3" dim2="3">
              <real>
                 7.957729e+05  0.000000e+00  0.000000e+00
                 0.000000e+00  7.957729e+05  0.000000e+00
                 0.000000e+00  0.000000e+00  7.957729e+05
              </real>
            </tensor>
          </property>
          <property name="Magnetic_Reluctivity_Scalar" value="(795773,0)"/>
          <property name="Magnetic_Conductivity_Tensor">
            <tensor dim1="3" dim2="3">
              <real>
                 0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00
              </real>
            </tensor>
          </property>
          <property name="Magnetic_Conductivity_Scalar" value="(0,0)"/>
          <property name="prescribedMagnetization" value="0"/>
          <property name="Density" value="0"/>
        </material>
        <material name="copper">
          <regionList>
            <region name="V_coil"/>
          </regionList>
          <property name="Magnetic_Permeability_Tensor">
            <tensor dim1="3" dim2="3">
              <real>
                -4.743371e+00  0.000000e+00  0.000000e+00
                 0.000000e+00 -4.743371e+00  0.000000e+00
                 0.000000e+00  0.000000e+00 -4.743371e+00
              </real>
            </tensor>
          </property>
          <property name="Magnetic_Permeability_Scalar" value="(-4.74337,0)"/>
          <property name="Magnetic_Reluctivity_Tensor">
            <tensor dim1="3" dim2="3">
              <real>
                -2.108205e-01  0.000000e+00  0.000000e+00
                 0.000000e+00 -2.108205e-01  0.000000e+00
                 0.000000e+00  0.000000e+00 -2.108205e-01
              </real>
            </tensor>
          </property>
          <property name="Magnetic_Reluctivity_Scalar" value="(-0.210821,-0)"/>
          <property name="Magnetic_Conductivity_Tensor">
            <tensor dim1="3" dim2="3">
              <real>
                 5.870000e+07  0.000000e+00  0.000000e+00
                 0.000000e+00  5.870000e+07  0.000000e+00
                 0.000000e+00  0.000000e+00  5.870000e+07
              </real>
            </tensor>
          </property>
          <property name="Magnetic_Conductivity_Scalar" value="(5.87e+07,0)"/>
          <property name="prescribedMagnetization" value="0"/>
          <property name="Density" value="0"/>
        </material>
        <feSpaces>
          <magPotential>
            <hCurlHierarchical>
              <regionList>
                <V_air order="2"/>
                <default/>
                <V_coil order="2"/>
              </regionList>
              <virtualNodes numVirtualNodes="61928">
                <INTERIOR numEntitiies="12909" numVirtualNodes="0"/>
                <FACE numEntitiies="23694" numVirtualNodes="47388"/>
                <EDGE numEntitiies="14540" numVirtualNodes="14540"/>
                <VERTEX numEntitiies="2309" numVirtualNodes="0"/>
              </virtualNodes>
            </hCurlHierarchical>
          </magPotential>
        </feSpaces>
        <feFunctions>
          <magPotential/>
          <homDirichletBC>
            <surfElemList name="S_x+" dofs="x"/>
            <surfElemList name="S_x-" dofs="x"/>
            <surfElemList name="S_y+" dofs="x"/>
            <surfElemList name="S_y-" dofs="x"/>
            <surfElemList name="S_z+" dofs="x"/>
            <surfElemList name="S_z-" dofs="x"/>
            <surfElemList name="S_Coil_in" dofs="x"/>
            <surfElemList name="S_Coil_out" dofs="x"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
        <summary>
          <writeResults>
            <timer wall-clock="0s" wall="0" cpu="2e-06" calls="1"/>
          </writeResults>
        </summary>
      </magneticEdge>
    </PDE>
    <OLAS>
      <magneticEdge>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="56944" totalNumFreeEqns="56944" totalNumDirichlet="0">
            <function id="0" name="magPotential" numEqns="56944" lastFreeEqn="56944" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="56944" lastFreeIndex="56944"/>
          </sbmBlocks>
        </setup>
        <solver>
          <pardiso hermitean="no" symStruct="no" symmetric="yes" posDef="no" pardiso_matrix="6" solver="direct">
            <summary>
              <setup>
                <timer label="setup_pardiso" wall-clock="1.823s" wall="1.823" cpu="1.82119" calls="1"/>
              </setup>
              <solve>
                <timer label="solve_pardiso" wall-clock="0.042s" wall="0.042" cpu="0.042176" calls="1"/>
              </solve>
            </summary>
            <process>
              <call number="0">
                <symbfact cpu="0.39319" wall="0.393" peakMem="41646" permanentMem="38111"/>
                <numfact cpu="1.4272" wall="1.428" peakMem="223123"/>
              </call>
            </process>
          </pardiso>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <setup>
                <timer wall-clock="0s" wall="0" cpu="1e-05" calls="1"/>
              </setup>
              <precond>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </magneticEdge>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="3.311s" wall="3.311" cpu="3.30998" calls="2"/>
        </assemble>
      </summary>
    </analysis>
    <header>
      <graph_setup>
        <timer wall-clock="0.454s" wall="0.454" cpu="0.45363" calls="1"/>
      </graph_setup>
    </header>
  </sequenceStep>
</cfsInfo>